USE raw_db;
-- DROP TABLE fund_riskadjret_stats_dolphin;
CREATE TABLE `fund_riskadjret_stats_dolphin` (
  `fund_id` varchar(10) NOT NULL COMMENT '基金id',
  `end_date` varchar(7) NOT NULL COMMENT '截至日期',
  `sharperatio_6m` decimal(22,6) DEFAULT NULL,
  `sortinoratio_6m` decimal(22,6) DEFAULT NULL,
  `treynorratio_6m` decimal(22,6) DEFAULT NULL,
  `jensen_6m` decimal(22,6) DEFAULT NULL,
  `calmarratio_6m` decimal(22,6) DEFAULT NULL,
  `omegaratio_6m` decimal(22,6) DEFAULT NULL,
  `kapparatio_6m` decimal(22,6) DEFAULT NULL,
  `sharperatio_1y` decimal(22,6) DEFAULT NULL,
  `sortinoratio_1y` decimal(22,6) DEFAULT NULL,
  `treynorratio_1y` decimal(22,6) DEFAULT NULL,
  `jensen_1y` decimal(22,6) DEFAULT NULL,
  `calmarratio_1y` decimal(22,6) DEFAULT NULL,
  `omegaratio_1y` decimal(22,6) DEFAULT NULL,
  `kapparatio_1y` decimal(22,6) DEFAULT NULL,
  `sharperatio_2y` decimal(22,6) DEFAULT NULL,
  `sortinoratio_2y` decimal(22,6) DEFAULT NULL,
  `treynorratio_2y` decimal(22,6) DEFAULT NULL,
  `jensen_2y` decimal(22,6) DEFAULT NULL,
  `calmarratio_2y` decimal(22,6) DEFAULT NULL,
  `omegaratio_2y` decimal(22,6) DEFAULT NULL,
  `kapparatio_2y` decimal(22,6) DEFAULT NULL,
  `sharperatio_3y` decimal(22,6) DEFAULT NULL,
  `sortinoratio_3y` decimal(22,6) DEFAULT NULL,
  `treynorratio_3y` decimal(22,6) DEFAULT NULL,
  `jensen_3y` decimal(22,6) DEFAULT NULL,
  `calmarratio_3y` decimal(22,6) DEFAULT NULL,
  `omegaratio_3y` decimal(22,6) DEFAULT NULL,
  `kapparatio_3y` decimal(22,6) DEFAULT NULL,
  `sharperatio_4y` decimal(22,6) DEFAULT NULL,
  `sortinoratio_4y` decimal(22,6) DEFAULT NULL,
  `treynorratio_4y` decimal(22,6) DEFAULT NULL,
  `jensen_4y` decimal(22,6) DEFAULT NULL,
  `calmarratio_4y` decimal(22,6) DEFAULT NULL,
  `omegaratio_4y` decimal(22,6) DEFAULT NULL,
  `kapparatio_4y` decimal(22,6) DEFAULT NULL,
  `sharperatio_5y` decimal(22,6) DEFAULT NULL,
  `sortinoratio_5y` decimal(22,6) DEFAULT NULL,
  `treynorratio_5y` decimal(22,6) DEFAULT NULL,
  `jensen_5y` decimal(22,6) DEFAULT NULL,
  `calmarratio_5y` decimal(22,6) DEFAULT NULL,
  `omegaratio_5y` decimal(22,6) DEFAULT NULL,
  `kapparatio_5y` decimal(22,6) DEFAULT NULL,
  `sharperatio_10y` decimal(22,6) DEFAULT NULL,
  `sortinoratio_10y` decimal(22,6) DEFAULT NULL,
  `treynorratio_10y` decimal(22,6) DEFAULT NULL,
  `jensen_10y` decimal(22,6) DEFAULT NULL,
  `calmarratio_10y` decimal(22,6) DEFAULT NULL,
  `omegaratio_10y` decimal(22,6) DEFAULT NULL,
  `kapparatio_10y` decimal(22,6) DEFAULT NULL,
  `sharperatio_ytd` decimal(22,6) DEFAULT NULL,
  `sortinoratio_ytd` decimal(22,6) DEFAULT NULL,
  `treynorratio_ytd` decimal(22,6) DEFAULT NULL,
  `jensen_ytd` decimal(22,6) DEFAULT NULL,
  `calmarratio_ytd` decimal(22,6) DEFAULT NULL,
  `omegaratio_ytd` decimal(22,6) DEFAULT NULL,
  `kapparatio_ytd` decimal(22,6) DEFAULT NULL,
  `sharperatio_incep` decimal(22,6) DEFAULT NULL,
  `sortinoratio_incep` decimal(22,6) DEFAULT NULL,
  `treynorratio_incep` decimal(22,6) DEFAULT NULL,
  `jensen_incep` decimal(22,6) DEFAULT NULL,
  `calmarratio_incep` decimal(22,6) DEFAULT NULL,
  `omegaratio_incep` decimal(22,6) DEFAULT NULL,
  `kapparatio_incep` decimal(22,6) DEFAULT NULL,
  PRIMARY KEY (`fund_id`,`end_date`)
) COMMENT='DolphinDB写回的基金历史风险调整收益指标表'
