USE raw_db;
-- DROP TABLE fund_performance_weekly_dolphin;
CREATE TABLE `fund_performance_weekly_dolphin` (
  `fund_id` varchar(10) NOT NULL COMMENT '基金id',
  `year_week` char(6) NOT NULL COMMENT '截至日期',
  `end_year` CHAR(4) NOT NULL,
  `week_of_year` TINYINT NOT NULL,
  `price_date` DATE NOT NULL,
  `cumulative_nav` DECIMAL(22, 6) NULL,
  `ret_1w` DECIMAL(22, 6) NULL,
  PRIMARY KEY (`fund_id`,`year_week`)
) COMMENT='DolphinDB写回的基金历史周收益表'
